Release 0.13.3

This commit is contained in:
o9000 2017-03-25 11:49:37 +01:00
parent bfe4873204
commit 46371fe816
7 changed files with 16 additions and 80 deletions

View file

@ -1,3 +1,8 @@
2017-03-25 0.13.3
- Fixes:
- Fixed autohide for non-bottom panels (issue #632)
- Translations updated (contributed by Vladimir)
2017-03-19 0.13.2
- Fixes:
- Fixed compilation under FreeBSD

View file

@ -1,5 +1,5 @@
# Latest stable release: 0.13.2
Changes: https://gitlab.com/o9000/tint2/blob/0.13.2/ChangeLog
# Latest stable release: 0.13.3
Changes: https://gitlab.com/o9000/tint2/blob/0.13.3/ChangeLog
Documentation: [doc/tint2.md](doc/tint2.md)
@ -8,7 +8,7 @@ Compile it with (after you install the [dependencies](https://gitlab.com/o9000/t
```
git clone https://gitlab.com/o9000/tint2.git
cd tint2
git checkout 0.13.2
git checkout 0.13.3
mkdir build
cd build
cmake ..

View file

@ -199,9 +199,9 @@ pre {
</style>
</head>
<body>
<h1 id="latest-stable-release-0-13-2"><span class="md2man-title">Latest</span> <span class="md2man-section">stable</span> <span class="md2man-date">release:</span> <span class="md2man-source">0.13.2</span><a name="latest-stable-release-0-13-2" href="#latest-stable-release-0-13-2" class="md2man-permalink" title="permalink"></a></h1><p>Changes: <a href="https://gitlab.com/o9000/tint2/blob/0.13.2/ChangeLog">https://gitlab.com/o9000/tint2/blob/0.13.2/ChangeLog</a></p><p>Documentation: <a href="manual.html">manual.html</a></p><p>Compile it with (after you install the <a href="https://gitlab.com/o9000/tint2/wikis/Install#dependencies">dependencies</a>):</p><pre class="highlight plaintext"><code>git clone https://gitlab.com/o9000/tint2.git
<h1 id="latest-stable-release-0-13-3"><span class="md2man-title">Latest</span> <span class="md2man-section">stable</span> <span class="md2man-date">release:</span> <span class="md2man-source">0.13.3</span><a name="latest-stable-release-0-13-3" href="#latest-stable-release-0-13-3" class="md2man-permalink" title="permalink"></a></h1><p>Changes: <a href="https://gitlab.com/o9000/tint2/blob/0.13.3/ChangeLog">https://gitlab.com/o9000/tint2/blob/0.13.3/ChangeLog</a></p><p>Documentation: <a href="manual.html">manual.html</a></p><p>Compile it with (after you install the <a href="https://gitlab.com/o9000/tint2/wikis/Install#dependencies">dependencies</a>):</p><pre class="highlight plaintext"><code>git clone https://gitlab.com/o9000/tint2.git
cd tint2
git checkout 0.13.2
git checkout 0.13.3
mkdir build
cd build
cmake ..

View file

@ -1,4 +1,4 @@
.TH TINT2 1 "2017\-03\-12" 0.13.2
.TH TINT2 1 "2017\-03\-12" 0.13.3
.SH NAME
.PP
tint2 \- lightweight panel/taskbar

View file

@ -1,4 +1,4 @@
# TINT2 1 "2017-03-12" 0.13.2
# TINT2 1 "2017-03-12" 0.13.3
## NAME
tint2 - lightweight panel/taskbar

View file

@ -1,46 +1,6 @@
#!/bin/sh
MAJOR=0.13
DIRTY=""
if git status 1>/dev/null 2>/dev/null
then
git update-index -q --ignore-submodules --refresh
# Disallow unstaged changes in the working tree
if ! git diff-files --quiet --ignore-submodules --
then
if [ "$1" = "--strict" ]
then
echo >&2 "Error: there are unstaged changes."
git diff-files --name-status -r --ignore-submodules -- >&2
exit 1
else
DIRTY="-dirty"
fi
fi
# Disallow uncommitted changes in the index
if ! git diff-index --cached --quiet HEAD --ignore-submodules --
then
if [ "$1" = "--strict" ]
then
echo >&2 "Error: there are uncommitted changes."
git diff-index --cached --name-status -r --ignore-submodules HEAD -- >&2
exit 1
else
DIRTY="-dirty"
fi
fi
VERSION=$(git describe --exact-match 2>/dev/null || echo "$MAJOR-git$(git show -s --pretty=format:%ci | cut -d ' ' -f 1 | tr -d '-').$(git show -s --pretty=format:%h)")$DIRTY
else
VERSION=$(head -n 1 ChangeLog | cut -d ' ' -f 2)
if [ $VERSION = "master" ]
then
VERSION=$VERSION-$(head -n 1 ChangeLog | cut -d ' ' -f 1)
fi
fi
VERSION=$(echo "$VERSION" | sed 's/^v//')
VERSION=0.13.3
echo '#define VERSION_STRING "'$VERSION'"' > version.h
echo $VERSION

View file

@ -2,24 +2,6 @@
# Usage: ./make_release.sh
# Creates a tar.gz archive of the current tree.
#
# To bump the version number for the current commit (make sure you are in HEAD!), run manually:
#
# git tag -a v0.12 -m 'Version 0.12'
#
# To generate a release for an older tagged commit, first list the tags with:
#
# git tag
#
# then checkout the tagged commit with:
#
# git checkout tags/v0.1
#
# Finally, to revert to HEAD:
#
# git checkout master
#
# See more at https://gitlab.com/o9000/tint2/wikis/Development
VERSION=$(./get_version.sh --strict)
if [ ! $? -eq 0 ]
@ -28,21 +10,10 @@ then
exit 1
fi
DIR=tint2-$VERSION
ARCHIVE=$DIR.tar.gz
echo "Making release $DIR"
rm -rf $DIR $ARCHIVE
ARCHIVE=tint2-$VERSION.tar.gz
git checkout-index --prefix=$DIR/ -a
# Delete unneeded files
rm -f $DIR/make_release.sh
echo "echo \"#define VERSION_STRING \\\"$VERSION\\\"\" > version.h" > $DIR/get_version.sh
# Create tarball and remove the exported directory
tar -czf $ARCHIVE $DIR
rm -rf $DIR
echo "Making release tint2-$VERSION"
git archive --format=tar.gz --prefix=tint2-$VERSION/ v$VERSION >$ARCHIVE
sha1sum -b $ARCHIVE
sha256sum -b $ARCHIVE